> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Add additional information to a user

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>


## OpenAPI

````yaml v1/api-reference/users-docs.json POST /api/users/{id}/additional-information
openapi: 3.0.0
info:
  version: v1.0.0
  title: Users API (legacy v1)
  description: API for managing users in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/users/{id}/additional-information:
    post:
      summary: Add additional information to a user
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - $ref: '#/components/parameters/userIdPathParameter'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/additionalInformationSchema'
      responses:
        '200':
          description: Additional information added successfully
          content:
            text/plain:
              schema:
                type: string
                example: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/notFoundErrorSchema'
          description: Not Found
components:
  parameters:
    userIdPathParameter:
      name: id
      in: path
      required: true
      description: ID of the user.
      schema:
        type: string
        format: mongoId
        example: 66562bc04fe8bf83c577c178
  schemas:
    additionalInformationSchema:
      type: object
      description: >-
        Additional information about the user. Can contain any key-value pairs.
        Please reach out to our compliance team for more information.
      additionalProperties: true
      example:
        identifiersArray:
          - RC511233
          - SJ556997
        identifiersObject:
          RC: S11233
          SJ: '556997'
        identifiersString: 511233, 556997
        identifiersObjectArray:
          - RC: S11233
            SJ: '556997'
          - RC: S11233
            SJ: '556997'
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
    notFoundErrorSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: integer
                example: 1
              message:
                type: string
                example: User not found
            required:
              - code
              - message
      required:
        - errors
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.